ghc-7.4.2: The GHC API

Safe Haskell | None

TcBinds

# Documentation

tcLocalBinds :: HsLocalBinds Name -> TcM thing -> TcM (HsLocalBinds TcId, thing)

tcTopBinds :: HsValBinds Name -> TcM (TcGblEnv, TcLclEnv)

tcRecSelBinds :: HsValBinds Name -> TcM TcGblEnv

tcHsBootSigs :: HsValBinds Name -> TcM [Id]

tcPolyBinds :: TopLevelFlag -> SigFun -> PragFun -> RecFlag -> RecFlag -> [LHsBind Name] -> TcM (LHsBinds TcId, [TcId], TopLevelFlag)

type PragFun = Name -> [LSig Name]

tcSpecPrags :: Id -> [LSig Name] -> TcM [LTcSpecPrag]

tcVectDecls :: [LVectDecl Name] -> TcM [LVectDecl TcId]

mkPragFun :: [LSig Name] -> LHsBinds Name -> PragFun

data TcSigInfo

Constructors

TcSigInfo |

Fields

sig_id :: TcId
sig_scoped :: [Name]
sig_tvs :: [TcTyVar]
sig_theta :: TcThetaType
sig_tau :: TcSigmaType
sig_loc :: SrcSpan

Instances

Outputable TcSigInfo |

type SigFun = Name -> Maybe ([Name], SrcSpan)

mkSigFun :: [LSig Name] -> SigFun

badBootDeclErr :: Message